Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5113)
@@ -9,5 +9,5 @@
 !#endif
 USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, itZonIso, nzone
-implicit none
+IMPLICIT NONE
 save
 
@@ -95,5 +95,5 @@
         use lmdz_ioipsl_getin_p, ONLY: getin_p
         use isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
-        implicit none
+        IMPLICIT NONE
 
         write(*,*) 'iso_verif_init 99: entree'
@@ -137,5 +137,5 @@
 
       SUBROUTINE iso_verif_egalite(a,b,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! compare a et b. Si pas egal à errmax près, on affiche message
         ! d'erreur et stoppe
@@ -166,5 +166,5 @@
 
         function iso_verif_egalite_nostop(a,b,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! compare a et b. Si pas egal à errmax près, on affiche message
         ! d'erreur et stoppe
@@ -197,5 +197,5 @@
         SUBROUTINE iso_verif_aberrant(R,err_msg)
         use isotopes_mod, ONLY: ridicule, iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -227,5 +227,5 @@
         SUBROUTINE iso_verif_aberrant_encadre(R,err_msg)
         use isotopes_mod, ONLY: ridicule, iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -262,5 +262,5 @@
         SUBROUTINE iso_verif_aberrant_choix(xt,q,qmin,deltaDmax,err_msg)
         use isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -296,5 +296,5 @@
         function iso_verif_aberrant_nostop(R,err_msg)
         use isotopes_mod, ONLY: ridicule,iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -327,5 +327,5 @@
         function iso_verif_aberrant_enc_nostop(R,err_msg)
         use isotopes_mod, ONLY: ridicule,iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -362,5 +362,5 @@
 
         use isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -423,5 +423,5 @@
                   qmin,deltaDmax,err_msg)
         use isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
         ! d'erreur et stoppe
@@ -467,5 +467,5 @@
 
         SUBROUTINE iso_verif_aberrant_o17(R17,R18,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si l'O17-excess est aberrant, on affiche un message
         ! d'erreur et stoppe
@@ -500,5 +500,5 @@
         function iso_verif_aberrant_o17_nostop(R17,R18,err_msg)
         USE isotopes_mod, ONLY: tnat,iso_O17,iso_O18
-        implicit none
+        IMPLICIT NONE
         ! si l'O17-excess est aberrant, on affiche un message
         ! d'erreur et renvoit 1
@@ -541,5 +541,5 @@
 
         SUBROUTINE iso_verif_noNaN(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x est NaN, on affiche message
         ! d'erreur et stoppe
@@ -566,5 +566,5 @@
 
         function iso_verif_noNaN_nostop(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x est NaN, on affiche message
         ! d'erreur et return 1 si erreur
@@ -596,5 +596,5 @@
 
         SUBROUTINE iso_verif_noNaN_vect2D(x,err_msg,ni,n,m)
-        implicit none
+        IMPLICIT NONE
         ! si x est NaN, on affiche message
         ! d'erreur et return 1 si erreur
@@ -635,5 +635,5 @@
 
         SUBROUTINE iso_verif_noNaN_vect1D(x,err_msg,ni,n)
-        implicit none
+        IMPLICIT NONE
         ! si x est NaN, on affiche message
         ! d'erreur et return 1 si erreur
@@ -674,5 +674,5 @@
         !************************
         SUBROUTINE iso_verif_egalite_choix(a,b,err_msg,erabs,errel)
-        implicit none
+        IMPLICIT NONE
         ! compare a et b. Si pas egal, on affiche message
         ! d'erreur et stoppe
@@ -703,5 +703,5 @@
         function iso_verif_egalite_choix_nostop &
                  (a,b,err_msg,erabs,errel)
-        implicit none
+        IMPLICIT NONE
         ! compare a et b. Si pas egal, on affiche message
         ! d'erreur et stoppe
@@ -758,5 +758,5 @@
         SUBROUTINE iso_verif_positif(x,err_msg)
         use isotopes_mod, ONLY: ridicule
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -786,5 +786,5 @@
         SUBROUTINE iso_verif_positif_vect(x,n,err_msg)
         use isotopes_mod, ONLY: ridicule
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
 
@@ -816,5 +816,5 @@
 
         SUBROUTINE iso_verif_positif_choix_vect(x,n,ridic,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
 
@@ -848,5 +848,5 @@
 !******************
         SUBROUTINE iso_verif_positif_strict(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -869,5 +869,5 @@
 
         function iso_verif_positif_strict_nostop(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -896,5 +896,5 @@
 
         SUBROUTINE iso_verif_positif_choix(x,ridic,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -925,5 +925,5 @@
         function iso_verif_positif_nostop(x,err_msg)
         use isotopes_mod, ONLY: ridicule
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -955,5 +955,5 @@
         !******************
         function iso_verif_positif_choix_nostop(x,ridic,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! si x<0, on plante.
         ! si très limite, on le met à 0.
@@ -992,5 +992,5 @@
         
         SUBROUTINE iso_verif_O18_aberrant(Rd,Ro,err_msg)
-        implicit none
+        IMPLICIT NONE
 
         ! vérifie que:
@@ -1012,5 +1012,5 @@
         function iso_verif_O18_aberrant_nostop(Rd,Ro,err_msg)
         USE isotopes_mod, ONLY: tnat, iso_HDO, iso_O18
-        implicit none
+        IMPLICIT NONE
 
         ! vérifie que:
@@ -1060,5 +1060,5 @@
         function deltaD(R)
         USE isotopes_mod, ONLY: tnat,iso_HDO
-        implicit none
+        IMPLICIT NONE
         real R,deltaD
 
@@ -1076,5 +1076,5 @@
         function deltaO(R)
         USE isotopes_mod, ONLY: tnat,iso_O18
-        implicit none
+        IMPLICIT NONE
         real R,deltaO
         
@@ -1091,5 +1091,5 @@
         function dexcess(RD,RO)
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_HDO
-        implicit none
+        IMPLICIT NONE
         real RD,RO,deltaD,deltaO,dexcess
         
@@ -1108,5 +1108,5 @@
         function delta_all(R,ixt)
         USE isotopes_mod, ONLY: tnat
-        implicit none
+        IMPLICIT NONE
         real R,delta_all
         integer ixt 
@@ -1119,5 +1119,5 @@
         function delta_to_R(delta,ixt)
         USE isotopes_mod, ONLY: tnat
-        implicit none
+        IMPLICIT NONE
         real delta,delta_to_R
         integer ixt
@@ -1130,5 +1130,5 @@
         function o17excess(R17,R18)
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_O17
-        implicit none
+        IMPLICIT NONE
         real R17,R18,o17excess
         
@@ -1151,5 +1151,5 @@
         
         USE isotopes_mod, ONLY: iso_eau
-          implicit none
+          IMPLICIT NONE
 
           ! inputs 
@@ -1202,5 +1202,5 @@
 
         USE isotopes_mod, ONLY: iso_eau
-        implicit none
+        IMPLICIT NONE
 
         ! inputs 
@@ -1242,5 +1242,5 @@
                  a,b,err_msg,n,m,errmax,errmaxrel)
 
-          implicit none
+          IMPLICIT NONE
 
           ! inputs 
@@ -1285,5 +1285,5 @@
                  xt,q,err_msg,ni,n,m)
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
-          implicit none
+          IMPLICIT NONE
 
           ! inputs   
@@ -1333,5 +1333,5 @@
 
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
-          implicit none
+          IMPLICIT NONE
 
           ! inputs   
@@ -1386,5 +1386,5 @@
 
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
-          implicit none
+          IMPLICIT NONE
 
           ! inputs   
@@ -1436,5 +1436,5 @@
 
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
-          implicit none
+          IMPLICIT NONE
 
 
@@ -1486,5 +1486,5 @@
 
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO,iso_O18
-          implicit none
+          IMPLICIT NONE
 
           ! inputs   
@@ -1538,5 +1538,5 @@
         SUBROUTINE select_dim23_from4D(n1,n2,n3,n4, &
                 var,vec,i1,i4)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1561,5 +1561,5 @@
         SUBROUTINE select_dim4_from4D(ntime,nlev,nlat,nlon, &
                 var,vec,itime,ilev,ilat)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1581,5 +1581,5 @@
         SUBROUTINE select_dim5_from5D(n1,n2,n3,n4,n5, &
                 var,vec,i1,i2,i3,i4)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1601,5 +1601,5 @@
         SUBROUTINE select_dim3_from3D(ntime,nlat,nlon, &
                 var,vec,itime,ilat)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1621,5 +1621,5 @@
         SUBROUTINE select_dim23_from3D(n1,n2,n3, &
                 var,vec,i1)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1642,5 +1642,5 @@
         SUBROUTINE putinto_dim23_from4D(n1,n2,n3,n4, &
                 var,vec,i1,i4)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1664,5 +1664,5 @@
         SUBROUTINE putinto_dim12_from4D(n1,n2,n3,n4, &
                 var,vec,i3,i4)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1685,5 +1685,5 @@
         SUBROUTINE putinto_dim23_from3D(n1,n2,n3, &
                 var,vec,i1)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1707,5 +1707,5 @@
 
         SUBROUTINE iso_verif_noNaN_par2D(x,err_msg,ni,n,m,ib,ie)
-        implicit none
+        IMPLICIT NONE
         ! si x est NaN, on affiche message
         ! d'erreur et return 1 si erreur
@@ -1750,5 +1750,5 @@
 
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
-          implicit none
+          IMPLICIT NONE
 
           ! inputs   
@@ -1800,5 +1800,5 @@
         
         USE isotopes_mod, ONLY: iso_eau
-          implicit none
+          IMPLICIT NONE
 
           ! inputs 
@@ -1845,5 +1845,5 @@
              errmax,errmaxrel,ridicule_trac,deltalimtrac)
         use isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -1896,5 +1896,5 @@
              errmax,errmaxrel,ridicule_trac,deltalimtrac)
         USE isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -1941,5 +1941,5 @@
         function iso_verif_tracpos_choix_nostop(x,err_msg,seuil)
         use isotopes_mod, only: isoName
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1970,5 +1970,5 @@
         function iso_verif_traceur_noNaN_nostop(x,err_msg)
         use isotopes_mod, only: isoName
-        implicit none
+        IMPLICIT NONE
 
         ! on vérifie juste que pas NaN
@@ -2003,5 +2003,5 @@
         use isotopes_mod, ONLY: ridicule,isoName
         ! on vérifie juste bilan de masse
-        implicit none
+        IMPLICIT NONE
         
         ! inputs
@@ -2060,5 +2060,5 @@
         use isotrac_mod, only: strtrac
         ! on vérifie juste deltaD
-        implicit none
+        IMPLICIT NONE
                 
         ! inputs
@@ -2140,5 +2140,5 @@
       SUBROUTINE iso_verif_traceur(x,err_msg)
         use isotrac_mod, only: ridicule_trac
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2168,5 +2168,5 @@
         use isotrac_mod, only: ridicule_trac
 
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2200,5 +2200,5 @@
         use isotrac_mod, only: ridicule_trac
 
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2232,5 +2232,5 @@
                  i1,i2,err_msg)
         use isotrac_mod, only: ridicule_trac
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2262,5 +2262,5 @@
         SUBROUTINE iso_verif_traceur_vect(x,n,m,err_msg)
         USE isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2297,5 +2297,5 @@
         SUBROUTINE iso_verif_tracnps_vect(x,n,m,err_msg)
         USE isotopes_mod, ONLY: iso_HDO
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2329,5 +2329,5 @@
 
         SUBROUTINE iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
-        implicit none
+        IMPLICIT NONE
        
        ! inputs
@@ -2373,5 +2373,5 @@
                   errmax,errmaxrel)
         use isotopes_mod, only: isoName
-        implicit none
+        IMPLICIT NONE
        
         ! inputs
@@ -2413,5 +2413,5 @@
         use isotopes_mod, only: iso_HDO,iso_eau
         use isotrac_mod, only: strtrac
-        implicit none
+        IMPLICIT NONE
        
         ! inputs
@@ -2453,5 +2453,5 @@
 
         SUBROUTINE iso_verif_tracpos_vect(x,n,m,err_msg,seuil)
-        implicit none
+        IMPLICIT NONE
 
        ! inputs
@@ -2496,5 +2496,5 @@
         use isotrac_mod, only: ridicule_trac
 
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2520,5 +2520,5 @@
 
         SUBROUTINE iso_verif_tracpos_choix(x,err_msg,seuil)
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2545,5 +2545,5 @@
         SUBROUTINE iso_verif_traceur_choix(x,err_msg, &
              errmax,errmaxrel,ridicule_trac_loc,deltalimtrac)
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2569,5 +2569,5 @@
         use isotrac_mod, only: ridicule_trac
         !use isotopes_verif, only: errmax,errmaxrel,deltalimtrac
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2595,5 +2595,5 @@
 
       SUBROUTINE iso_verif_traceur_justmass(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! on vérifie que noNaN et masse
 
@@ -2623,5 +2623,5 @@
 
         function iso_verif_traceur_jm_nostop(x,err_msg)
-        implicit none
+        IMPLICIT NONE
         ! on vérifie que noNaN et masse
 
@@ -2657,5 +2657,5 @@
         USE isotopes_mod, ONLY: tnat,iso_eau, ridicule,iso_HDO
         use isotrac_mod, only: option_traceurs,nzone_temp
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -2716,5 +2716,5 @@
         USE isotopes_mod, ONLY: tnat,iso_eau,iso_HDO,ridicule
         use isotrac_mod, only: option_traceurs,nzone_temp
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5113)
@@ -20,5 +20,5 @@
     USE isotopes_mod, ONLY: ridicule,iso_eau
 
-         implicit none 
+         IMPLICIT NONE
 
          ! decompression des outputs communs à tous les cas dans
@@ -70,5 +70,5 @@
 #endif
 
-         implicit none 
+         IMPLICIT NONE
 
          ! decompression des outputs communs à tous les cas dans
@@ -235,5 +235,5 @@
 #endif
 
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -323,5 +323,5 @@
 #endif
 
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -409,5 +409,5 @@
     USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -476,5 +476,5 @@
     USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -644,5 +644,5 @@
     USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
          ! compression dans le cas condensation_facftmr
@@ -804,5 +804,5 @@
 #endif
 
-         implicit none
+         IMPLICIT NONE
 
         ! inputs         
@@ -891,5 +891,5 @@
         USE isotopes_verif_mod
 #endif
-         implicit none
+         IMPLICIT NONE
 
         ! inputs         
@@ -978,5 +978,5 @@
 #endif
 
-         implicit none
+         IMPLICIT NONE
 
         ! inputs         
@@ -1042,5 +1042,5 @@
 #endif
 USE isotrac_mod, only: izone_revap
-      implicit none
+      IMPLICIT NONE
 
       ! ajoute xtrevap_tag (evaps des différents traceurs d'isotopes)
@@ -1114,5 +1114,5 @@
 &       bassin_MerArabie,bassin_BengalGolf,bassin_SouthIndian, &
 &       bassin_tropics,bassin_midlats,bassin_HighLats
-      implicit none
+      IMPLICIT NONE
       ! répond true si lat,lon se trouve dans le bassin numéroté bassin
 
@@ -1320,5 +1320,5 @@
         use isotopes_verif_mod
 #endif
-      implicit none
+      IMPLICIT NONE
 
       ! inputs
@@ -1378,5 +1378,5 @@
         use isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
         real presnivs(klev)
 
@@ -1403,5 +1403,5 @@
 #endif
 
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1424,5 +1424,5 @@
 
         function is_in_rectangle(x,y,x1,y1,x2,y2)
-        implicit none
+        IMPLICIT NONE
         ! inputs 
         real x,y
@@ -1451,5 +1451,5 @@
 
         function is_in_triangle(x,y,x1,y1,x2,y2,x3,y3)
-        implicit none
+        IMPLICIT NONE
         ! inputs
         real x,y
@@ -1494,5 +1494,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inout
@@ -1578,5 +1578,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! recolorise selon la température minimum, mais les tags de
@@ -1633,5 +1633,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! recolorise selon la température minimum, mais les tags de
@@ -1697,5 +1697,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! SUBROUTINE écrite à la base pour tagguer 3 boites AMMA.
@@ -1750,5 +1750,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! SUBROUTINE écrite pour l'option de taggage 20
@@ -1798,5 +1798,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! SUBROUTINE écrite pour l'option de taggage 20
@@ -1867,5 +1867,5 @@
 #endif
         USE isotrac_mod, only: izone_aej,izone_mousson,izone_harmattan
-        implicit none
+        IMPLICIT NONE
 
         real lat(klon),lon(klon)
@@ -1920,5 +1920,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         real lat(klon),lon(klon)
@@ -1954,5 +1954,5 @@
         function index_zone_lat(lat)
         use isotrac_mod, only: lattag_min,dlattag,nzone_lat
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1974,5 +1974,5 @@
         function index_zone_pres(pres)
         use isotrac_mod, only: nzone_pres,zone_pres
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -1992,5 +1992,5 @@
 
         function find_index(pres,nzone_pres,zone_pres)
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -2029,5 +2029,5 @@
         function index_zone_latpres(lat,pres)
         use isotrac_mod, only: nzone_lat
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -2058,5 +2058,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! on recolorise la vapeur résiduelle selon la température de condensation
@@ -2263,5 +2263,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -2288,5 +2288,5 @@
         USE dimphy, only: klon,klev
         use isotrac_mod, only: option_traceurs,boite_map
-        implicit none
+        IMPLICIT NONE
 
         ! inputs
@@ -2319,5 +2319,5 @@
         !use isotrac_mod, only: ntraceurs_zone=>nzone
         USE infotrac_phy, ONLY: ntraceurs_zone=>nzone
-        implicit none
+        IMPLICIT NONE
         
         ! version vectrisée de iso_verif_traceur_jbidouille
@@ -2382,5 +2382,5 @@
         SUBROUTINE iso_verif_traceur_jbidouille(x)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        implicit none
+        IMPLICIT NONE
         
         ! on réajuste aussi les valeurs des traceurs pour la
@@ -2424,5 +2424,5 @@
 !        use isotopes_verif_mod, only: iso_verif_traceur_pbidouille
 !#endif
-        implicit none
+        IMPLICIT NONE
         
         ! on réajuste les valeurs des traceurs pour qu'il n'y ai pas de
@@ -2497,5 +2497,5 @@
         USE isotopes_verif_mod
 #endif
-        implicit none
+        IMPLICIT NONE
        
        ! inputs
@@ -2577,5 +2577,5 @@
         use isotopes_verif_mod
 #endif        
-        implicit none
+        IMPLICIT NONE
         
         ! même but que iso_verif_traceur_jbid_pos, mais n'induit
@@ -2644,5 +2644,5 @@
         SUBROUTINE iso_verif_traceur_jbid_vect1D(x,n)
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
-        implicit none
+        IMPLICIT NONE
         
         ! version vectrisée de iso_verif_traceur_jbidouille
@@ -2687,5 +2687,5 @@
         SUBROUTINE iso_verif_traceur_pbidouille(x,err_msg)
         use isotopes_verif_mod
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2714,5 +2714,5 @@
         use isotrac_mod, only: ridicule_trac
         use isotopes_verif_mod
-        implicit none
+        IMPLICIT NONE
         ! vérifier des choses sur les traceurs
         ! * toutes les zones donne t l'istope total
@@ -2775,5 +2775,5 @@
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
         use isotopes_verif_mod
-        implicit none
+        IMPLICIT NONE
        
        ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5113)
@@ -630,5 +630,5 @@
       ierr = nf90_put_att(nid, nf90_global, 'title', &
         'Fichier conditions aux limites')
-      ! !        ierr = nf90_def_dim (nid, "points_physiques", klon, ndim)
+      !        ierr = nf90_def_dim (nid, "points_physiques", klon, ndim)
       ierr = nf90_def_dim(nid, 'points_physiques', klon_glo, ndim)
       ierr = nf90_def_dim(nid, 'time', nf90_unlimited, ntim)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5113)
@@ -509,5 +509,5 @@
       !USE phyredem, ONLY: put_field_srf1
 
-        implicit none
+        IMPLICIT NONE
 
         ! equivalent isotopique de phyredem
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5113)
@@ -24,5 +24,5 @@
     USE add_phys_tend_mod, ONLY: add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
          fl_ebil, fl_cor_ebil
-    USE assert_m, only: assert
+    USE lmdz_assert, only: assert
     USE change_srf_frac_mod
     USE conf_phys_m, only: conf_phys
@@ -679,5 +679,5 @@
 
     !      REAL,allocatable,save :: run_off_lic_0(:)
-    ! !$OMP THREADPRIVATE(run_off_lic_0)
+    !$OMP THREADPRIVATE(run_off_lic_0)
     !ym      SAVE run_off_lic_0
     !KE43
